org.eclipse.emf.cdo.session

## Interface CDOSession.ExceptionHandler

- All Known Implementing Classes:
    CDOInteractiveExceptionHandler, CDORetryExceptionHandler
  Enclosing interface:
    CDOSession

      public static interface CDOSession.ExceptionHandler

  Handles `protocol` exceptions if `configured` before the session has been opened.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleException(CDOSession session, int attempt, java.lang.Exception exception)`

- - ### Method Detail

    - #### handleException

          void handleException(CDOSession session,
                               int attempt,
                               java.lang.Exception exception)
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html